> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chemcloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Shows a goods receipt



## OpenAPI

````yaml https://app.chemcloud.com.au/api-docs/public/buyer/v1/openapi.yaml get /api/public/buyer/v1/goods_receipts/{id}
openapi: 3.0.1
info:
  title: ChemCloud Buyer API
  version: v1
servers:
  - url: https://app.chemcloud.com.au
    description: Production
security: []
paths:
  /api/public/buyer/v1/goods_receipts/{id}:
    get:
      tags:
        - Goods Receipts
      summary: Shows a goods receipt
      parameters:
        - name: id
          in: path
          example: 99999a99-b888-777c-666d-55555555555e
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Goods receipt found
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    example: 99999a99-b888-777c-666d-55555555555e
                  url:
                    type: string
                    example: >-
                      https://app.chemcloud.com.au/buyer/goods_receipts/99999a99-b888-777c-666d-55555555555e
                  delivery_id:
                    type: string
                    format: uuid
                    example: 99999a99-b888-777c-666d-55555555555e
                  reference:
                    type: string
                    example: GR-001
                  batch_number:
                    type: string
                    nullable: true
                    example: BATCH-9
                  quantity:
                    type: string
                    nullable: true
                    example: '100.0'
                  measurement_unit:
                    type: string
                    nullable: true
                    example: kg
                  received_at:
                    type: string
                    format: date-time
                    nullable: true
                    example: '2025-12-31T23:13:11.862Z'
                  manufactured_on:
                    type: string
                    format: date
                    nullable: true
                    example: '2025-12-31'
                  expires_on:
                    type: string
                    format: date
                    nullable: true
                    example: '2025-12-31'
                  invoice_number:
                    type: string
                    nullable: true
                    example: INV-001
                  invoice_date:
                    type: string
                    format: date
                    nullable: true
                    example: '2025-12-31'
                  customer_reference:
                    type: string
                    nullable: true
                    example: ERP-GR-001
                  comment:
                    type: string
                    nullable: true
                    example: Received in good order
                  meets_spec:
                    type: boolean
                    nullable: true
                    example: true
                  status:
                    type: string
                    enum:
                      - Draft
                      - Confirmed
                    example: Confirmed
                  coa_present:
                    type: boolean
                    example: false
                  delivery_attributes:
                    type: object
                    properties:
                      delivery_reference:
                        type: string
                        nullable: true
                        example: DEL-001
                  order_attributes:
                    type: object
                    properties:
                      purchase_order_reference:
                        type: string
                        nullable: true
                        example: PO-001
                  additional_data:
                    type: object
                    properties:
                      product:
                        type: object
                        properties:
                          product_name:
                            type: string
                            nullable: true
                            example: Sodium Hydroxide 50%
                      supplier:
                        type: object
                        properties:
                          supplier_name:
                            type: string
                            nullable: true
                            example: Supplier Co
                  created_at:
                    type: string
                    format: date-time
                    example: '2025-12-31T23:13:11.862Z'
                  updated_at:
                    type: string
                    format: date-time
                    example: '2025-12-31T23:13:11.862Z'
        '404':
          description: Goods receipt not found
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-KEY

````